MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ConvertFilterPlugin.hxx File Reference

Go to the source code of this file.

## Functions
Filter * | convert_filter_new (AudioFormat in_audio_format, AudioFormat out_audio_format)
void | convert_filter_set (Filter *filter, AudioFormat out_audio_format)
| Sets the output audio format for the specified filter. More...

## Function Documentation

Filter* convert_filter_new | ( | AudioFormat | in_audio_format,
|  | AudioFormat | out_audio_format
| ) |  |

void convert_filter_set | ( | Filter * | filter,
|  | AudioFormat | out_audio_format
| ) |  |

Sets the output audio format for the specified filter.

You must call this after the filter has been opened. Since this audio format switch is a violation of the filter API, this filter must be the last in a chain.

Throws std::runtime_error on error.